Skip to main content
POST
Upload truck document
Upload multipart/form-data. One file per request. Max file size 10 MB. Allowed document types: Motor Vehicle Record, Vehicle Image, Inspection Certificate, Certificate of Insurance (COI), Insurance Certificate, Other Documents. Allowed MIME types: application/pdf, image/jpeg, image/png. Upload a document to a specific truck. Supports multipart/form-data. Each request must contain exactly one file.
  • Max file size: 25 MB
  • Allowed MIME types: application/pdf, image/jpeg, image/png
  • Allowed Document Types: Motor Vehicle Record, Vehicle Image, Inspection Certificate, Certificate of Insurance (COI), Insurance Certificate, Other Documents

Parameters


Request Body

multipart/form-data

Example Request (cURL)


Response Body

Example Response

200 OK
On the right side, you can see examples of different error codes by clicking Example and selecting the response code.

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information, see the Rate Limits section.

Try It Out

This page is interactive, allowing you to try a request by specifying the API version and truckId in the URL path. As you fill out the parameters, the cURL command on the right side of the page will be automatically updated. Alternatively, you can directly edit the cURL command. ⚠️ Don’t forget: make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

truckId
string
required
version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Body

multipart/form-data
File
file
required
DocumentType
string
required
Minimum string length: 1
FileName
string | null

Response

OK

id
string
required
AttachmentPath
string
required
AttachmentType
string
required
ParentId
string
required
ParentType
string
required
AttachmentSize
integer<int64> | null
UploadedAt
string<date-time> | null
UploadedBy
string | null
DownloadUrl
string | null
ExpiresAt
string<date-time> | null